 About this Plug-in

Positioning tools is a set of tools that allow for the easy alignment and distribution of selected Vertices, Faces and Meshes.

The Alignment tool lets you align objects relative to either the Origin point (0,0,0), to a specified point or to the selected items themselves.

The Distribution tool lets you distribute the selected objects relative to themselves. You can easily remove the space between objects, even the space between and even specify the spacing. Both of these tools allow for more control over position of objects within Milkshape.

Click here to see how to use the Alignment tool.
Click here to see how to use the Distribution.
Click here to go to some Misc. Links of sites that I visit.

If you have questions, comments or would like to notify me of any bugs please send me an email

NOTE:
The sourcecode to this plugin is included in the "source.zip" file. Please feel free to modify it, use it for your own purposes and to critique it. As I'm not an avid C win32 programmer I ask your understanding for any common mistakes you may find and would be glad for any advice or changes you may make. If you make any changes to this plugin itself (e.g. not a completely new plugin) please let me know so I may update it myself and give you the appropriate credit.

CREDIT:
I want to thank Rat for all of his help in debugging the various issues that were involved in creating this plugin


Misc Links

 Miscellaneous Links

These are just a few links of sites that I visit. No particular reason for them being here except for a little fun.
  • TheBible.Net is a website with articles and other resources about the church of Christ
  • /. Or Slashdot is a "news for nerds" website. Great community of fellow "geeks" to discuss technology and other news
  • Wil Wheaton Dot Net is the Web Log or Blog of Wil Wheaton (of Wesley Crusher [dis?]fame on STNG)
  • Popcap Games has a great selection of good 'ol puzzle games that are easy to get addicted to
  • Dilbert is the funny (yet terrifyingly close to reality) comic about a cubicle dweller and his co-workers


 How to use the Alignment Tool

The Alignment tool lets you align objects relative to either the Origin point (0,0,0), to a specified point or to the selected items themselves.

Before you can use this tool you must have at least one mesh object within your model. If you do not select any vertices, faces or meshes (which I will refer to as "objects") then this tool will have no effect on your model.

1. Select your objects
Select the objects that you would like to align. Either meshes (Group), faces or vertices.

2. Run the Tool
Under the tools menu select "Positioning tools"
If you do not have any meshes in your model you will see this dialog.
No Mesh Warning Dialog

otherwise click the "Alignment" tab

3. Specify what you want to align relative to
Alignment Dialog. Alignment To Choice

You can align relative to the Origin (0,0,0) as seen here
Milkshape Origin

Relative to the selected objects as seen here
Selected Objects

Or by a specified point which can be entered in the text boxes here
Specified point entry

4. Specify what Axis to align by
Alignment Dialog. Alignment Axis

You can change the alignment of the selected objects either by the X, Y or Z axis.

5. Specify what to align
Alignment Dialog. Alignment Axis

Here you decide what you want to align
You can align by:
  • Vertices
  • Meshes
  • Faces
And the alignment can be:
  • Minimum
    If you specified in step 3 that you wanted to align by the "origin" then minimum will be 0. If you specified a particular point then the value for an axis, on each axis, will be the "minimum" that is used. If, instead, you specified "selected" minimum will be the object with the smallest value on a given axis. The minimum position is calculated on an axis-by-axis basis so the minimum X position is not necessarily the minimum Y position.
  • Center
    If you specified in step 3 that you wanted to align by the "origin" then center will be 0. If you specified a particular point then that point will be the point that the objects are centered on. If, instead, you specified "selected" center will be the center of all selected objects (midpoint of the maximum position minus the minimum position). The center position is calculated on an axis-by-axis basis so the center X position is not necessarily the center Y position.
  • Maximum
    If you specified in step 3 that you wanted to align by the "origin" then maximum will be 0. If you specified a particular point then the value for an axis, on each axis, will be the "maximum" that is used. If, instead, you specified "selected" maximum is the object with the greatest value on a given axis. The maximum position is calculated on an axis-by-axis basis so the maximum X position is not necessarily the maximum Y position.
6. Proceed to do the alignment
Click the "Align" button to align the objects and return to Milkshape


 How to use the Distribution Tool

The Distribution tool lets you distribute the selected objects relative to themselves. You can easily remove the space between objects, even the space between or specify the spacing.

Before you can use this tool you must have at least one mesh object within your model. If you do not select any vertices, faces or meshes (which I will refer to as "objects") then this tool will have no effect on your model.

1. Select your objects
Select the objects that you would like to distribute. Either meshes (Group), faces or vertices.

2. Run the Tool
Under the tools menu select "Positioning tools"
If you do not have any meshes in your model you will see this dialog.
No Mesh Warning Dialog

otherwise click the "Distribution" tab

3. Specify what axis you want to distribute along
Distribution Dialog. Distribute Axis

You can distribute the objects along the X, Y and Z axis

4. Specify what to distribute
Distribution Dialog. Distribution

Here you decide what you want to distribute
You can distribution by:
  • Vertices
  • Meshes
  • Faces
And the distribution can be:
  • Remove
    Any space between the objects will be removed on the selected axis
  • Even
    The objects will be spaced evenly based on their "centers" on the selected axis
  • Padding
    The objects will be spaced according to the specified padding values that can be entered as seen below
    Distribution Dialog. Distribution
5. Proceed to do the distribution
Click "Distribute" to distribute the objects and return to Milkshape